RENDERD(1)

NAME
renderd - Rendering daemon for rendering OpenStreetMap tiles.

SYNOPSIS
renderd [options]

DESCRIPTION
This manual page documents briefly the renderd command.

renderd is a rendering daemon for map tiles with the mapnik library. It receives render requests on a socket. Renderd queues requests in a number of different queues to manage load while rendering the requests with the mapnik library. By default renderd will start as a daemon. It will log information in the syslog.

OPTIONS
This programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-f|--foreground
    Run renderd in the foreground for debugging purposes.

-c|--config
    Set the location of the config file used to configure the various parameters of renderd, like the mapnik style sheet. The default is /etc/renderd.conf

-s|--slave
    Renderd can be used in a distributed fashion across multiple rendering servers. The master renderd handles queuing and passes requests to the slaves. This parameter specifies which of the slave sections of renderd.conf applies to this instance of renderd. The default is to use the master section

-h|--help
    Print out a help text for renderd

-V|--version
    Print out the version number for renderd

SEE ALSO
renderd.conf(5)

AUTHOR
renderd was written by Jon Burgess, and other OpenStreetMap project members.

This manual page was written by OpenStreetMap authors.